الأحداث

كيفية استرجاع جميع الأحداث الخاصة بتسجيل معيّن.

الأحداث

تُرجع قائمة الأحداث مثل النقرات أو زيارات الصفحات أو الإدخالات الموجودة في تسجيل جلسة معيّن. هذه أحداث عالية المستوى (مفهرسة) يمكن البحث عنها في تطبيق OpenReplay.

GET

/api/v1/:projectKey/sessions/:sessionId/events

الاسمالنوعالوصف
projectKeystringمعرّف المشروع الذي تتتبعه (مطلوب)
sessionIdstringمعرّف الجلسة التي تستخرج منها الأحداث (مطلوب)

Authorization: {YOUR_ORGANIZATION_API_KEY}: يمكن العثور على المفتاح في ‘Preferences’ > ‘Account’ > ‘Organization API Key’.

200: تُرسَل الاستجابة بصيغة JSON في النص

curl -X GET \
  https://openreplay.example.com/api/v1/3sWXSsqHgSKnE87YkNJK/sessions/4813023023591169/events \
  -H 'content-type: application/json' \
  -H 'Authorization: {YOUR_ORGANIZATION_API_KEY}'

مثال على الاستجابة

Section titled مثال على الاستجابة
{
    "data": [{
        "sessionId": 4813023023591169,
        "messageId": 4294969053,
        "timestamp": 1623440905732,
        "host": "testsite.openreplay.com",
        "path": "/my-account/",
        "basePath": "/my-account/",
        "referrer": "https://testsite.openreplay.com/",
        "baseReferrer": "https://testsite.openreplay.com/",
        "domBuildingTime": null,
        "domContentLoadedTime": null,
        "loadTime": null,
        "firstPaintTime": null,
        "firstContentfulPaintTime": null,
        "speedIndex": null,
        "visuallyComplete": null,
        "timeToInteractive": null,
        "responseTime": null,
        "responseEnd": null,
        "ttfb": null,
        "value": "/my-account/",
        "url": "/my-account/",
        "type": "LOCATION"
    }, {
        "sessionId": 4813023023591169,
        "messageId": 17179871001,
        "timestamp": 1623440915126,
        "label": "Shop",
        "type": "CLICK"
    }, {
        "sessionId": 4813023023591169,
        "messageId": 25769806952,
        "timestamp": 1623440919928,
        "host": "testsite.openreplay.com",
        "path": "/product/beanie-with-logo/",
        "basePath": "/product/beanie-with-logo/",
        "referrer": "https://testsite.openreplay.com/shop/",
        "baseReferrer": "https://testsite.openreplay.com/shop/",
        "domBuildingTime": null,
        "domContentLoadedTime": null,
        "loadTime": null,
        "firstPaintTime": null,
        "firstContentfulPaintTime": null,
        "speedIndex": null,
        "visuallyComplete": null,
        "timeToInteractive": null,
        "responseTime": null,
        "responseEnd": null,
        "ttfb": null,
        "value": "/product/beanie-with-logo/",
        "url": "/product/beanie-with-logo/",
        "type": "LOCATION"
    }]
}